Doomsday Engine - Feature #1190

External scripts for mobj behavior
2003-06-15 14:47 - skyjake

Status: Progressed Start date: 2003-06-15
Priority: High % Done: 30%
Assignee: skyjake

Category: Redesign

Target version: Modding

Description

Making monster Al external would allow for far more
customizability. In Duke Nukem 3D all monster/object Al
was handled via external scripts, which made use of
built in Al functions such as: LookAtPlayer, RunAway,
FollowPlayer etc...

The scripting language should also incorporate ACS.

This would leave only the game related routines in the
dil's.

Dani J666

Labels: Customizability

Related issues:

Related to Feature #1608: Integrate Doomsday Script Progressed  2013-10-22
Related to Feature #1620: XG 2.0 Progressed  2010-04-20
History

#1 - 2003-06-15 23:18 - skyjake

Logged In: YES
user_id=717323

This is pretty much what I'm planning for version 2.0,
with the exception that the game DLL may provide
‘default’ Al routines for everything (since the code is
already there, and there's LOTS of it).

Not going to happen in the 1.7/1.8 series.

#2 - 2013-10-19 18:52 - skyjake
- Tags set to Scripting, Mod, Gameplay
- Category set to Redesign

#3 - 2013-10-20 20:44 - skyjake
- Priority changed from Normal to High

#4 - 2019-11-29 16:12 - skyjake

- Status changed from New to Progressed
- Assignee set to skyjake

- Target version set to Modding

- % Done changed from 0 to 30

Some progress in this area. In 2.2, it is possible to use Doomsday Script in state actions functions. Given the right bindings to game-side objects, one
could implement quite sophisticated monster logic entirely in DS.

#5 - 2019-11-29 16:13 - skyjake

2024-04-19 1/2




- Subject changed from Mobj Al moved to external scripts to External scripts for mobj behavior

#6 - 2019-11-29 16:13 - skyjake
- Related to Feature #1620: XG 2.0 added

2024-04-19 22


http://www.tcpdf.org

